# $Revision: 1.60 $, $Date: 2010/05/23 17:36:01 $
Summary:	Command-line frontend to libgphoto2
Summary(es.UTF-8):	Foto GNU (gphoto) Release 2
Summary(pl.UTF-8):	Działający z linii poleceń program obsługujący libgphoto2
Summary(pt_BR.UTF-8):	GNU Photo - programa GNU para câmeras digitais
Summary(zh_CN.UTF-8):	gPhoto - Linux下的使用数码相机的程序
Name:		gphoto2
Version:	2.4.9
Release:	1
License:	LGPL v2+
Group:		Applications/Graphics
Source0:	http://dl.sourceforge.net/gphoto/%{name}-%{version}.tar.bz2
# Source0-md5:	a08a93a425cde03ca8f9bade83bbd26a
Patch0:		%{name}-manpage_addon.patch
Patch1:		%{name}-am.patch
URL:		http://www.gphoto.org/
BuildRequires:	aalib-devel
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	cdk-devel >= 5.0_td20010421
BuildRequires:	gettext-devel >= 0.14.1
BuildRequires:	libexif-devel >= 0.6.9
BuildRequires:	libgphoto2-devel >= 2.4.5
BuildRequires:	libjpeg-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRequires:	readline-devel
Requires:	libgphoto2 >= 2.4.9
Obsoletes:	gphoto2-progs
# these are not true (renamed to libgphoto2-{devel,static}) - we must have
# the way to just rename package which is not required by anything installed
Obsoletes:	gphoto2-devel
Obsoletes:	gphoto2-static
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gphoto2 is a command-line frontend to libgphoto2.

%description -l pl.UTF-8
gphoto2 to działający z linii poleceń program będący interfejsem
użytkownika do libgphoto2.

%description -l pt_BR.UTF-8
O programa gphoto faz parte do projeto GNOME e é uma interface para
uma grande variedade de câmeras fotográficas digitais.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

rm -f po/stamp-po

%build
%{__libtoolize}
%{__aclocal} -I auto-m4 -I m4m
%{__autoconf}
%{__autoheader}
%{__automake}
CPPFLAGS="-I/usr/include/ncurses"
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/gphoto2
%{_mandir}/man1/gphoto2.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gphoto2.spec,v $
Revision 1.60  2010/05/23 17:36:01  arekm
- up to 2.4.9

Revision 1.59  2010/01/29 07:17:53  amateja
- release 2

Revision 1.58  2009/09/05 14:27:37  gotar
- upgraded to 2.4.7

Revision 1.57  2009/07/26 01:40:09  arekm
- up to 2.4.5

Revision 1.56  2009/07/11 19:55:29  arekm
- release 3

Revision 1.55  2009/02/23 22:05:46  arekm
- release 2

Revision 1.54  2008/07/16 04:46:01  qboosh
- updated to 2.4.2
- added pl.po-update patch

Revision 1.53  2008/05/29 20:27:15  qboosh
- updated to 2.4.1
- removed obsolete pl.po-update patch

Revision 1.52  2007-12-29 00:41:58  glen
- rel 3

Revision 1.51  2007-08-25 21:37:42  arekm
- rel 2

Revision 1.50  2007/08/11 18:38:41  qboosh
- updated to 2.4.0
- updated manpage_addon,pl.po-update patches, removed obsolete version patch

Revision 1.49  2007/05/19 12:05:23  arekm
- rel 2

Revision 1.48  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.47  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.46  2006/12/28 03:06:48  qboosh
- updated to 2.3.1, updated pl.po-update patch

Revision 1.45  2006/12/09 16:04:01  glen
- fix for lame version check

Revision 1.44  2006/12/09 12:28:10  qboosh
- updated libgphoto2 deps

Revision 1.43  2006/12/09 10:06:07  qboosh
- updated to 2.3.0, updated manpage_addon,pl.po-update patches, added am patch

Revision 1.42  2006/06/21 19:17:00  qboosh
- replaced outdated pl.po source by pl.po-update patch
- updated libgphoto2 deps (2.2.0 now)

Revision 1.41  2006/06/21 19:00:14  wrobell
- ver. 2.2.0

Revision 1.40  2006/03/24 13:47:28  qboosh
- merged from DEVEL

Revision 1.39.2.1  2006/01/09 21:25:24  qboosh
- updated to 2.1.99, updated pl.po

Revision 1.39  2006/01/09 21:17:05  qboosh
- added pl.po

Revision 1.38  2005/09/17 11:44:34  arekm
- new readline 5.0

Revision 1.37  2005/09/06 12:18:04  pluto
- updated to 2.1.6.

Revision 1.36  2005/03/22 08:18:33  havner
- rel 1

Revision 1.35  2005/01/06 20:14:13  petec
- updated locale_names patch

Revision 1.34  2005/01/06 15:25:10  ankry
- unfinished; Norwegian locale still broken

Revision 1.33  2005/01/06 14:42:13  petec
- updated to 2.1.5

Revision 1.32  2004/09/18 14:14:43  havner
- rel 4 for rebuild with libexif

Revision 1.31  2004/07/26 11:51:02  ankry
- commented out 1.28 change: no dcraw ready for Ac, yet; rel. 3

Revision 1.30  2004/07/26 08:47:59  ankry
- no -> nb

Revision 1.29  2004/07/01 21:40:19  grzegol
- added libexif069 patch (fix building with libexif-0.6.9)
- regenerate al/ah/ac/am

Revision 1.28  2004/03/07 17:40:41  siefca
- Requires: dcraw (since dcraw is small and gphoto can download RAW format)
- manual page patched, so it points on dcraw
- release 2

Revision 1.27  2004/01/20 21:11:51  qboosh
- refresh config.sub (for amd64)

Revision 1.26  2004/01/20 16:37:01  deejay1
- updated to 2.1.4

Revision 1.25  2003/10/23 10:18:45  qboosh
- 2.1.3

Revision 1.24  2003/10/13 09:56:54  ankry
- added obsoletes

Revision 1.23  2003/08/15 18:05:36  qboosh
- 2.1.2

Revision 1.22  2003/08/09 12:53:26  arekm
- rebuild with latest libexif

Revision 1.21  2003/08/01 13:14:53  deejay1
- wrong URL - s/gphoto.net/gphoto.org/

Revision 1.20  2003/05/30 15:01:15  qboosh
- merged lost changes:
  Revision 1.18  2003/05/24 10:27:25  kloczek
  - bump reelase to 3: merge translations from Conectiva and TurboLinux.

Revision 1.19  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.18  2003/05/25 05:48:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/04/08 11:29:37  qboosh
- use http for sources from sourceforge

Revision 1.16  2003/01/11 11:51:18  qboosh
- updated to 2.1.1 - program only, library moved to libgphoto.spec

Revision 1.15  2002/11/25 14:13:05  ankry
- massive attack: no need for 755 for *.la

Revision 1.14  2002/10/14 05:35:02  kloczek
- release 8: merge translations from Conectiva.

Revision 1.13  2002/10/09 13:14:28  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.12  2002/09/22 19:26:07  marcus
- totally removed gphoto2-lib name from desc.
- addedd Provides gphoto2-lib to compatibility
- rel.7.

Revision 1.11  2002/08/30 11:29:43  kloczek
- release 6: added gphoto2-lib-* to Obsoletes.

Revision 1.10  2002/08/30 01:52:03  kloczek
- package renams: gphoto2-lib -> gphoto2, gphoto2-lib-devel -> gphoto2-devel,
  gphoto2-lib-static -> gphoto2-static, gphoto2 -> gphoto2-progs.

Revision 1.9  2002/08/30 01:07:34  kloczek
- updated to 2.1.0 (release 5).

Revision 1.8  2002/06/16 15:02:49  qboosh
- changed _prefix and Group - ghoto2 is not X11 app
  (only libaa, which is placed in /usr/lib, causes libX11 dependancy -
   it's sick and should be changed...)
- new %%doc, some fixes in %%files, added missing dirs
- renamed -static to lib-static (to match lib-devel)
- BR: autoconf, automake
- release 0.6

Revision 1.7  2002/05/21 23:13:24  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.6  2002/04/30 17:33:08  misiek
- now it's really fixed

Revision 1.5  2002/04/30 15:49:44  misiek
- remove ncurses patch (instead use CPPFLAGS), fix cdk detection, disable am/ac regeneration

Revision 1.4  2002/04/16 19:12:35  mkochano
- Release 0.5.
- lib subpackage does not require main package.
- Removed LD_LIBARAY_PATH setting.
- Added %post{,un} sections.
- bin/*-config moved to -devel subpackage.

Revision 1.3  2002/04/10 17:37:12  mkochano
- Release 0.3.
- lib-devel subpackage Requires: libexif-devel.

Revision 1.2  2002/04/09 22:08:00  mkochano
- Release 0.2.
- Fixed libtool problems (thanks to Blues <blues@pld.org.pl>).
- All files are packages, but probably some of them are in wrong
  subpackages.

Revision 1.1  2002/04/07 14:37:13  mkochano
- Release 0.1.
- Version 2.0.
- It builds, but there are two problems:
  * It is installed in /usr/X11R6. Only program should go there.
    Libraries don't depend on X11. I don't know how to split them.
    Please remember about gphoto2-config.
  * There are errors in build log, which don't stob building, but I
    think they are serious:
    /usr/bin/ld: cannot find -lgphoto2_port
    collect2: ld returned 1 exit status
    libtool: install: error: relink `libgphoto2_port_serial.la' with the above command before installing it
    libtool: install: warning: remember to run `libtool --finish /usr/X11R6/lib/gphoto2_port/0.0.4'
    (there are lots of them).
